Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package settings
  Definition Classes
    nsc
-  class MutableSettings extends reflect.internal.settings.MutableSettings with AbsSettings with ScalaSettings with Mutable

  A mutable Settings object.

  A mutable Settings object.

  Definition Classes
    settings
- AbsSetting
- AbsSettingValue
- BooleanSetting
- ChoiceSetting
- EnableSettings
- IntSetting
- InternalSetting
- LintWarnings
- MacroExpand
- MultiChoiceEnumeration
- MultiChoiceSetting
- MultiStringSetting
- OutputDirs
- OutputSetting
- PathSetting
- PhasesSetting
- PrefixSetting
- ScalaVersionSetting
- Setting
- SettingValue
- StringSetting
- UnusedWarnings
- XxmlSettings
- YstatisticsPhases
- languageFeatures
- mixinForwarderChoices
- optChoices
- optWarningsChoices

c

scala.tools.nsc.settings.MutableSettings

# EnableSettings 

###

#### class EnableSettings[T <: BooleanSetting] extends AnyRef

Internal use - syntax enhancements.

Attributes
  protected
Source
  MutableSettings.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. EnableSettings
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new EnableSettings(s: T)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from EnableSettings[T] to any2stringadd[EnableSettings[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (EnableSettings[T], B)
   Implicit
     This member is added by an implicit conversion from EnableSettings[T] to ArrowAssoc[EnableSettings[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def andThen(f: (T.T) ⇒ Unit): s.type
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
9.  def disabling(toDisable: List[BooleanSetting]): s.type
10.  def enabling(toEnable: List[BooleanSetting]): s.type
11.  def enablingIfNotSetByUser(toEnable: List[BooleanSetting]): s.type
12.  def ensuring(cond: (EnableSettings[T]) ⇒ Boolean, msg: ⇒ Any): EnableSettings[T]
    Implicit
      This member is added by an implicit conversion from EnableSettings[T] to Ensuring[EnableSettings[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (EnableSettings[T]) ⇒ Boolean): EnableSettings[T]
    Implicit
      This member is added by an implicit conversion from EnableSettings[T] to Ensuring[EnableSettings[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): EnableSettings[T]
    Implicit
      This member is added by an implicit conversion from EnableSettings[T] to Ensuring[EnableSettings[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): EnableSettings[T]
    Implicit
      This member is added by an implicit conversion from EnableSettings[T] to Ensuring[EnableSettings[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from EnableSettings[T] to StringFormat[EnableSettings[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
26.  val s: T
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  def →[B](y: B): (EnableSettings[T], B)
    Implicit
      This member is added by an implicit conversion from EnableSettings[T] to ArrowAssoc[EnableSettings[T]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from EnableSettings[T] to any2stringadd[EnableSettings[T]]

### Inherited by implicit conversion StringFormat from EnableSettings[T] to StringFormat[EnableSettings[T]]

### Inherited by implicit conversion Ensuring from EnableSettings[T] to Ensuring[EnableSettings[T]]

### Inherited by implicit conversion ArrowAssoc from EnableSettings[T] to ArrowAssoc[EnableSettings[T]]

### Ungrouped